{config, ...}: {
  programs.taskwarrior = {
    enable = true;
    config = {
      taskd = {
        server = "aria.cat:53589";
        credentials = "myself/aria/e67e2e9f-78af-42c2-9c55-3c59054246c6";
        certificate = "${config.xdg.dataHome}/task/aria.cert.pem";
        key = "${config.xdg.dataHome}/task/aria.key.pem";
        ca = "${config.xdg.dataHome}/task/ca.cert.pem";
      };
      dateformat = "Y-M-D H:N";
      report.list.columns = [
        "id"
        "entry.age"
        "scheduled"
        "due"
        "description"
        "urgency"
      ];
      report.list.labels = [
        "ID"
        "Age"
        "Sched"
        "Due"
        "Description"
        "Urg"
      ];
    };
  };
}
